/******************************************************************************
 Auto-generated by plugins/map_plugins.sh - do NOT edit,
 run make map_plugins in sch-rnd/ - to change any of the data below,
 edit plugins/PLUGIN/PLUGIN.pup
******************************************************************************/

plugin_header("\nEngine plugins (concrete->abstract compilation):\n")
plugin_def("std_cschem",       "standard cschem attributes",      sbuildin, 1)
plugin_def("std_devmap",       "standard device mapper",          sbuildin, 1)
plugin_def("std_forge",        "standard cschem attr forge",      sbuildin, 1)
plugin_def("target_none",      "dummy attr. xform",               sbuildin, 1)
plugin_def("target_pcb",       "attr. xform for PCB workflow",    sbuildin, 1)

plugin_header("\nFeature plugins:\n")
plugin_def("act_draw",         "Draw object actions",             sbuildin, 1)
plugin_def("act_read",         "action wrappers for data access", sbuildin, 1)
plugin_def("backann",          "back annotation",                 sbuildin, 1)
plugin_def("construct",        "convert/breakup functionality",   sbuildin, 1)
plugin_def("diag",             "diagnostic acts. for devs",       sbuildin, 1)
plugin_def("place",            "place complex objects",           sbuildin, 1)
plugin_def("propedit",         "object property editor",          sbuildin, 1)
plugin_def("query",            "query language",                  sbuildin, 1)
plugin_def("renumber",         "renumber symbols",                sbuildin, 1)
plugin_def("std_tools",        "standard drawing tools",          sbuildin, 1)

plugin_header("\nSymbol library accessors:\n")
plugin_def("symlib_fs",        "file system symbols",             sbuildin, 1)
plugin_def("symlib_local",     "sheet local symbols",             sbuildin, 1)

plugin_header("\nExport plugins:\n")
plugin_def("export_abst",      "export abstract model",           sbuildin, 1)
plugin_def("export_lpr",       "lpr exporter (printer)",          sbuildin, 1)
plugin_def("export_png",       "export sheets to png",            sbuildin, 1)
plugin_def("export_ps",        "export sheets to ps/eps",         sbuildin, 1)
plugin_def("export_svg",       "export sheets to svg",            sbuildin, 1)
plugin_def("export_tedax",     "export tEDAx netlist",            sbuildin, 1)

plugin_header("\nIO plugins (file formats):\n")
plugin_def("io_altium",        "altium schematics",               sdisable, 0)
plugin_def("io_geda",          "gEDA schematics and symbols",     sbuildin, 1)
plugin_def("io_lihata",        "lihata schematics and symbols",   sbuildin, 1)
plugin_def("io_tinycad",       "TinyCAD schematics",              sbuildin, 1)
plugin_def("lib_alien",        "alien format helper",             sbuildin, 1)

plugin_header("\nGUI:\n")
plugin_def("gui",              "Graphical User Interface",        sbuildin, 1)
plugin_def("sch_dialogs",      "base dialogs",                    sbuildin, 1)


plugin_dep("export_lpr", "export_ps")
plugin_dep("export_png", "lib_exp_pixmap")
plugin_dep("export_ps", "lib_exp_text")
plugin_dep("export_svg", "lib_exp_text")
plugin_dep("gui", "lib_hid_common")
plugin_dep("io_geda", "lib_alien")
plugin_dep("io_tinycad", "lib_alien")
plugin_dep("sch_dialogs", "lib_hid_common")
